%define initdir /etc/rc.d/init.d
%define build_80	0

Summary:	A widely used Mail Transport Agent (MTA)
Name:		sendmail
Version:	8.11.6
Release:	4.4mdk
License:	BSD
Group:		System/Servers
Provides:	smtpdaemon MailTransportAgent

Source0:	ftp://ftp.sendmail.org/pub/sendmail/%{name}.%{version}.tar.bz2
Source1:	sendmail.init
Source2:	http://www.informatik.uni-kiel.de/%7Eca/email/rules/check.tar.bz2
Source3:	aliases
Source4:	sendmail.sysconfig
Source5:	sendmail-8.9.3-etc-mail-Makefile
Source6:	sendmail-redhat.mc
Source7:	Sendmail.conf
Source8:	sendmail.pam
Source9:	sendmail-real-time.mc
Source10:	README.mdk

Patch0:		sendmail-8.11.0-redhat.patch.bz2
Patch1:		sendmail-8.10.0-makemapman.patch.bz2
Patch2:		sendmail-8.10.0-smrsh-paths.patch.bz2
Patch3:		sendmail-8.8.7-rmail.patch.bz2
Patch4:		sendmail-8.10.0-aliasesDoS.patch.bz2
Patch5:		sendmail-8.10.1-movefiles.patch.bz2
Patch6:		sendmail-8.10.1-manpath.patch.bz2
Patch7:		sendmail-8.11.0-m4path.patch.bz2
Patch9:		sendmail-8.11.0-mdk.patch.bz2
Patch10:	sendmail-8.11.6-smrsh_vuln.patch.bz2
Patch11:	sendmail.8.11.6.sec#A8CE5.patch.bz2

Patch50:	sendmail-8.11.1-up-limit.patch.bz2

Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Prereq:		/sbin/chkconfig
Requires: 	procmail, bash >= 2.0, openssl, /bin/sh
%if %{build_80}
Requires:	cyrus-sasl >= 1.5.27
%else
Requires:	cyrus-sasl
%endif
BuildRequires:	db3-devel cyrus-sasl libgdbm-devel openssl-devel libsasl-devel sfio-devel tcp_wrappers-devel libldap-devel

%description
The Sendmail program is a very widely used Mail Transport Agent (MTA).
MTAs send mail from one machine to another.

Sendmail is not a client program, which you use to read your e-mail.
Sendmail is a behind-the-scenes program which actually moves your
e-mail over networks or the Internet to where you want it to go.

If you ever need to reconfigure Sendmail, you'll also need to have the
sendmail.cf package installed.  If you need documentation on Sendmail, you can
install the sendmail-doc package.

%package doc
Summary:	Documentation about the Sendmail Mail Transport Agent program
Group:		System/Servers 

%description doc
The sendmail-doc package contains documentation about the Sendmail
Mail Transport Agent (MTA) program, including release notes, the
Sendmail FAQ and a few papers written about Sendmail.  The papers are
provided in PostScript(TM) and troff formats.

Install the sendmail-doc package if you need documentation about
Sendmail.

%package cf
Summary:	The files needed to reconfigure Sendmail
Group:		System/Servers
Requires: make, m4

%description cf
This package includes the configuration files which you'd need to generate the
sendmail.cf file distributed with the sendmail package.

You'll need the sendmail-cf package if you ever need to reconfigure and rebuild
your sendmail.cf file. For example, the default sendmail.cf file is not
configured for UUCP. If someday you needed to send and receive mail over UUCP,
you'd need to install the sendmail-cf package to help you reconfigure Sendmail.

Install the sendmail-cf package if you need to reconfigure your
sendmail.cf file.

%prep

%setup -q
%patch0 -p1 -b .redhat
%patch1 -p1 -b .makemapman
%patch2 -p1 -b .smrsh
%patch3 -p1 -b .rmail
%patch4 -p1 -b .aliases
%patch5 -p1 -b .movestuff
%patch6 -p0
%patch7 -p1
%patch9 -p1
%patch10 -p0 -b .smrsh
%patch11 -p0 -b .cr

%patch50 -p1 -b .up-limit

# XXX REVERTING
#tar xf $RPM_SOURCE_DIR/check.tar -C cf
#chown root.root cf/hack/* cf/README.check


sed -e 's|@@PATH@@|\.\.|' < %{SOURCE6} > cf/cf/redhat.mc
sed -e 's|@@PATH@@|\.\.|' < %{SOURCE9} > cf/cf/real-time.mc

%build
%serverbuild
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DUSE_VENDOR_CF_PATH=1"

cd sendmail
sh Build -f ../redhat.config.m4
cd ..

cd mailstats
sh Build -f ../redhat.config.m4
cd ..

cd rmail
sh Build -f ../redhat.config.m4
cd ..

cd makemap
sh Build -f ../redhat.config.m4
cd ..

cd praliases
sh Build -f ../redhat.config.m4
cd ..

cd smrsh
sh Build -f ../redhat.config.m4
cd ..

cd cf/cf
m4 redhat.mc > redhat.cf
m4 real-time.mc > real-time.cf
cd ../..

cd vacation
sh Build -f ../redhat.config.m4

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
mkdir -p etc/sysconfig $RPM_BUILD_ROOT%{initdir} etc/pam.d
mkdir -p usr/bin usr/lib .%{_mandir}/man{1,5,8} usr/sbin var/log var/spool usr/share/sendmail-cf
cd -

OBJDIR=obj.$(uname -s).$(uname -r).$(arch)

make DESTDIR=$RPM_BUILD_ROOT MANROOT=%{_mandir}/man SBINOWN=`id -nu` UBINOWN=`id -nu` SBINGRP=`id -ng` UBINGRP=`id -ng` MANOWN=`id -nu` MANGRP=`id -ng` \
 install -C $OBJDIR/sendmail
make DESTDIR=$RPM_BUILD_ROOT MANROOT=%{_mandir}/man SBINOWN=`id -nu` UBINOWN=`id -nu` SBINGRP=`id -ng` UBINGRP=`id -ng` MANOWN=`id -nu` MANGRP=`id -ng` \
 install -C $OBJDIR/mailstats
make DESTDIR=$RPM_BUILD_ROOT MANROOT=%{_mandir}/man SBINOWN=`id -nu` UBINOWN=`id -nu` SBINGRP=`id -ng` UBINGRP=`id -ng` MANOWN=`id -nu` MANGRP=`id -ng` \
 install -C $OBJDIR/praliases
make DESTDIR=$RPM_BUILD_ROOT MANROOT=%{_mandir}/man SBINOWN=`id -nu` UBINOWN=`id -nu` SBINGRP=`id -ng` UBINGRP=`id -ng` MANOWN=`id -nu` MANGRP=`id -ng` \
 force-install -C $OBJDIR/rmail
make DESTDIR=$RPM_BUILD_ROOT MANROOT=%{_mandir}/man SBINOWN=`id -nu` UBINOWN=`id -nu` SBINGRP=`id -ng` UBINGRP=`id -ng` MANOWN=`id -nu` MANGRP=`id -ng` \
 install -C $OBJDIR/makemap
ln -sf ../sbin/makemap $RPM_BUILD_ROOT/usr/bin/makemap
make DESTDIR=$RPM_BUILD_ROOT MANROOT=%{_mandir}/man SBINOWN=`id -nu` UBINOWN=`id -nu` SBINGRP=`id -ng` UBINGRP=`id -ng` MANOWN=`id -nu` MANGRP=`id -ng` \
 install -C $OBJDIR/smrsh
make DESTDIR=$RPM_BUILD_ROOT MANROOT=%{_mandir}/man SBINOWN=`id -nu` UBINOWN=`id -nu` SBINGRP=`id -ng` UBINGRP=`id -ng` MANOWN=`id -nu` MANGRP=`id -ng` \
 install -C $OBJDIR/vacation


# install docs by hand
mkdir -p $RPM_BUILD_ROOT%{_docdir}/sendmail
cp -ar FAQ LICENSE KNOWNBUGS README RELEASE_NOTES doc $RPM_BUILD_ROOT%{_docdir}/sendmail
cp smrsh/README $RPM_BUILD_ROOT%{_docdir}/sendmail/README.smrsh
cp cf/README $RPM_BUILD_ROOT%{_docdir}/sendmail/README.cf
cp %{SOURCE10} $RPM_BUILD_ROOT%{_docdir}/sendmail/

# install the cf files
pushd cf
cp -ar * $RPM_BUILD_ROOT/usr/share/sendmail-cf
# install -m 644 %{SOURCE9} $RPM_BUILD_ROOT/usr/share/sendmail-cf/cf
rm -f $RPM_BUILD_ROOT/usr/share/sendmail-cf/*/*.m4path
popd

mkdir -p $RPM_BUILD_ROOT/etc/mail


%if %{build_80}
install -m 644 cf/cf/redhat.cf $RPM_BUILD_ROOT/etc/sendmail.cf
cat %SOURCE6 | sed -e "s|\.\./m4|/usr/share/sendmail-cf/m4|" > $RPM_BUILD_ROOT/etc/mail/sendmail.mc
%else
install -m 644 cf/cf/real-time.cf $RPM_BUILD_ROOT/etc/sendmail.cf
cat %SOURCE9 | sed -e "s|\.\./m4|/usr/share/sendmail-cf/m4|" > $RPM_BUILD_ROOT/etc/mail/sendmail.mc
%endif
echo "# local-host-names - include all aliases for your machine here." > $RPM_BUILD_ROOT/etc/mail/local-host-names
( echo "# trusted-users - users that can send mail as others without a warning"
echo "# apache, mailman, majordomo, uucp, are good candidates" ) \
	> $RPM_BUILD_ROOT/etc/mail/trusted-users

ln -sf ../sbin/sendmail $RPM_BUILD_ROOT/usr/lib/sendmail
install -d -m755 $RPM_BUILD_ROOT/var/spool/mqueue

# dangling symlinks
for f in hoststat mailq newaliases purgestat
  do
    ln -sf ../sbin/sendmail $RPM_BUILD_ROOT/usr/bin/${f}
  done
mkdir -p $RPM_BUILD_ROOT/etc/smrsh

cat <<EOF > $RPM_BUILD_ROOT/etc/mail/access
# Check the /usr/share/doc/sendmail-%{version}/README.cf file for a description
# of the format of this file. (search for access_db in that file)
# The /usr/share/doc/sendmail-%{version}/README.cf is part of the sendmail-doc
# package.
#
# by default we allow relaying from localhost...
localhost.localdomain		RELAY
localhost			RELAY
127.0.0.1			RELAY

EOF
for map in virtusertable access domaintable mailertable
  do
    touch $RPM_BUILD_ROOT/etc/mail/${map}
    chmod 0644 $RPM_BUILD_ROOT/etc/mail/${map}
    $RPM_BUILD_ROOT/usr/bin/makemap -C $RPM_BUILD_ROOT/etc/sendmail.cf hash $RPM_BUILD_ROOT/etc/mail/${map}.db < $RPM_BUILD_ROOT/etc/mail/${map}
    chmod 0644 $RPM_BUILD_ROOT/etc/mail/${map}.db
  done
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/aliases
$RPM_BUILD_ROOT/usr/bin/makemap -C $RPM_BUILD_ROOT/etc/sendmail.cf hash $RPM_BUILD_ROOT/etc/aliases.db < %{SOURCE3}

install -m644 %SOURCE4 $RPM_BUILD_ROOT/etc/sysconfig/sendmail
install -m755 %SOURCE1 $RPM_BUILD_ROOT%{initdir}/sendmail

install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc/mail/Makefile

chmod u+w $RPM_BUILD_ROOT/usr/sbin/{mailstats,praliases}
chmod u+w $RPM_BUILD_ROOT/usr/bin/rmail

strip $RPM_BUILD_ROOT/usr/sbin/{mailstats,praliases,sendmail}
strip $RPM_BUILD_ROOT/usr/bin/rmail

install -m755 -d $RPM_BUILD_ROOT%{_libdir}/sasl
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT%{_libdir}/sasl/Sendmail.conf
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT/etc/pam.d/smtp


%clean
rm -fr $RPM_BUILD_ROOT

%pre
/usr/sbin/useradd -u 47 -d /var/spool/mqueue -r -s /dev/null mailnull >/dev/null 2>&1 || :

%postun
if [ $1 = 0 ]; then
	/usr/sbin/userdel mailnull > /dev/null 2>&1 || :
fi

%post
#
# Convert old format to new
#
if [ -f /etc/mail/deny ] ; then
    cat /etc/mail/deny | \
	awk 'BEGIN{ print "# Entries from obsoleted /etc/mail/deny"} \
		  {print $1" REJECT"}' >> /etc/mail/access
    cp /etc/mail/deny /etc/mail/deny.rpmorig
fi
for oldfile in relay_allow ip_allow name_allow ; do
    if [ -f /etc/mail/$oldfile ] ; then
	cat /etc/mail/$oldfile | \
		awk "BEGIN { print \"# Entries from obsoleted /etc/mail/$oldfile\" ;} \
	     { print \$1\" RELAY\" }" >> /etc/mail/access
	cp /etc/mail/$oldfile /etc/mail/$oldfile.rpmorig
     fi
done

#
# Oops, these files moved
#
if [ -f /etc/sendmail.cw ] ; then
    cat /etc/sendmail.cw  | \
      awk 'BEGIN { print "# Entries from obsoleted /etc/sendmail.cw" ;} \
           { print $1 }' >> /etc/mail/local-host-names
    cp /etc/sendmail.cw /etc/sendmail.cw.rpmorig
fi
#
# Rebuild maps (next reboot will rebuild also)
#
{ /usr/bin/newaliases
  for map in virtusertable access domaintable mailertable
  do
    if [ -f /etc/mail/${map} ] ; then
      /usr/bin/makemap hash /etc/mail/${map} < /etc/mail/${map}
      sleep 1
    fi
  done
} > /dev/null 2>&1
%_post_service sendmail

%preun
%_preun_service sendmail

%triggerpostun -- sendmail < 8.10.0
/sbin/chkconfig --add sendmail

%files
%defattr(-,root,root)
/usr/bin/vacation
/usr/sbin/mailstats
/usr/sbin/praliases
/usr/bin/hoststat
/usr/bin/purgestat
/usr/bin/rmail
/usr/bin/makemap
/usr/sbin/makemap
/usr/sbin/sendmail
/usr/bin/newaliases
/usr/bin/mailq
/usr/sbin/smrsh
/usr/lib/sendmail

%{_mandir}/man8/rmail.8*
%{_mandir}/man8/praliases.8*
%{_mandir}/man8/mailstats.8*
%{_mandir}/man8/makemap.8*
%{_mandir}/man8/sendmail.8*
%{_mandir}/man8/smrsh.8*
%{_mandir}/man5/aliases.5*
%{_mandir}/man1/newaliases.1*
%{_mandir}/man1/mailq.1*
%{_mandir}/man1/vacation.1*

/var/log/statistics
# XXX can't do noreplace here or new sendmail will not deliver.
%config(noreplace)				/etc/sendmail.cf
%attr(0644,root,root) %config(noreplace)	/etc/mail/sendmail.mc
%config(noreplace)		/etc/mail/local-host-names
%config(noreplace)		/etc/aliases
%attr(0644,root,root) %ghost	/etc/aliases.db
%attr(0755,root,mail) %dir	/var/spool/mqueue
%dir /etc/smrsh
%dir /etc/mail

%config(noreplace) /etc/mail/Makefile
%attr(0644,root,root) %ghost			/etc/mail/virtusertable.db
%attr(0644,root,root) %config(noreplace)	/etc/mail/virtusertable

%attr(0644,root,root) %ghost			/etc/mail/access.db
%attr(0644,root,root) %config(noreplace)	/etc/mail/access

%attr(0644,root,root) %ghost			/etc/mail/domaintable.db
%attr(0644,root,root) %config(noreplace)	/etc/mail/domaintable

%attr(0644,root,root) %ghost			/etc/mail/mailertable.db
%attr(0644,root,root) %config(noreplace)	/etc/mail/mailertable

%attr(0644,root,root) %config(noreplace)	/etc/mail/helpfile
%attr(0644,root,root) %config(noreplace)	/etc/mail/trusted-users

%config(noreplace) /etc/sysconfig/sendmail

%config(noreplace) %{initdir}/sendmail

%config(noreplace) %{_libdir}/sasl/Sendmail.conf
%config(noreplace) /etc/pam.d/smtp

%files cf
%defattr(-,root,root)
/usr/share/sendmail-cf

%files doc
%defattr(-,root,root)
%{_docdir}/sendmail

%changelog
* Sat Mar  1 2003 Vincent Danen <vdanen@mandrakesoft.com> 8.11.6-4.4mdk
- security update for 8.0 and 8.1 (VU#398025)

* Wed Nov 14 2002 Vincent Danen <vdanen@mandrakesoft.com> 8.11.6-4.2mdk
- security update for 8.1 (smrsh)

* Sat Sep 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 8.11.6-3mdk
- replaced /etc/sendmail.mc with /etc/mail/sendmail.mc in dnl docs about m4.
- removed predefined RBL lists: blackholes.mail-abuse.org,
  dialups.mail-abuse.org and relays.mail-abuse.org (too high slowdown and
  local DNS cache to blackholes.mail-abuse.org requires subscription fees).
- added %%build_80 flag for 8.0.
- removed duplicated entry in
  /usr/share/sendmail-cf/cf/cf/sendmail-real-time.mc (already real-time.mc).

* Sat Sep 22 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 8.11.6-2mdk
- Make m4 /etc/mail/sendmail.mc > /etc/sendmail.cf work again (kenduest).

* Tue Aug 21 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 8.11.6-1mdk
- A new and shiny sendmail to close a security problem.

* Mon Aug 13 2001 Philippe Libat <philippe@mandrakesoft.com> 8.11.5-1mdk
- version 8.11.5
- Bug#: 3780, patch from natecars@real-time.com
- default sendmail.cf from real-time.mc

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 8.11.4-4mdk
- BuildRequires:	db3-devel
- BuildRequires:	libgdbm-devel
- Normalized other BuildRequires (libopenssl0-devel --> openssl-devel)

* Fri Jul 06 2001 Philippe Libat <philippe@mandrakesoft.com>  8.11.4-3mdk
- new db3

* Sun Jun 17 2001 Stefan van der Eijk <stefan@eijk.nu> 8.11.4-2mdk
- BuildRequires: libldap-devel

* Thu May 31 2001 Stefan van der Eijk <stefan@eijk.nu> 8.11.4-1mdk
- 8.11.4

* Thu May 31 2001 Stefan van der Eijk <stefan@eijk.nu> 8.11.3-3mdk
- BuildRequires: libopenssl0-devel, tcp_wrappers-devel

* Sat Apr 14 2001 David BAUDENS <baudens@mandrakesoft.com> 8.11.3-2mdk
- BuildRequires: sfio-devel and not only sfio

* Wed Apr 11 2001 Philippe Libat <philippe@mandrakesoft.com> 8.11.3-1mdk 
- updated to 8.11.3
- enabled LDAP, SMTP Authentication, and STARTTLS

* Thu Mar 29 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 8.11.2-4mdk 
- use post_service and preun_service macros
- use serverbuild macro

* Mon Mar 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 8.11.2-3mdk 
- daemon=no by default.
- Make it works (compile with sasl / initscripts and mc glitches).
- Merge with RH packages.

* Mon Jan 29 2001 Pixel <pixel@mandrakesoft.com> 8.11.2-2mdk 
- put back sendmail setuid as required by "Brian J. Murrell" <cooker-in@interlinx.bc.ca>

* Sat Jan 27 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 8.11.2-1mdk
- new and shiny source.
- put a requirement on make.

* Tue Nov 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 8.11.1-3mdk 
- Set sendmail a suid.

* Sat Nov 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 8.11.1-2mdk 
- QUEUE_LA, REFUSE_LA as 100.

* Sun Oct 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 8.11.1-1mdk
- put a new and shiny source in cooker.

* Wed Oct 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 8.11.0-4mdk 
- provides MailTransportAgent for fetchmail

* Mon Sep  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 8.11.0-3mdk 
- config-noreplace initscript

* Thu Aug 26 2000 David BAUDENS <baudens@mandrakesoft.com> 8.11.0-2mdk
- Fix bad dependencies on Perl
- %config(noreplace) /etc/sendmail.cf

* Wed Aug 23 2000 Philippe Libat <philippe@mandrakesoft.com> 8.11.0-1mdk
- version 8.11.0
- replace %_mandir, %_initrddir

* Fri May 12 2000 Saugey Vincent <vince@mandrakesoft.com> 8.10.1-2mdk
- Fix good directory to use makemap with sendmail installed
- Remove strip of file

* Mon Apr 17 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 8.10.1-1mdk
- updated to 8.10.1
- re-did ppc fixes
- Merged with RedHat:
  remove compatiblity chkconfig links
  break the hard link for makemap and create it as a symlnk (#8223)
  change perms on /etc/sysconfig/sendmail from 0755 to 0644
  allow compressed man-pages
  add patch to prevent the DoS when rebuilding aliases
  Fix location of mailertable (Bug #6035)
  fixes for non-root builds (#8178)
  install man pages, not groff output (#3746).
  use dnl not '#' in m4 comment (#3749).
  add FEATURE(mailtertable) to the config -- example file needs this (#4649).

* Mon Mar 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 8.9.3-22mdk
- fixed install step not to depend on already installed stuff.
- new groups.

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 8.9.3-21mdk
- Added PPC fixes

* Wed Jan 12 2000 Philippe Libat <philippe@mandrakesoft.com>
- Add attr to aliases.db in sendmail.spec

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Die if lord postfix is present.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with redhat patch.

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- more sleep deprivation derived type-o's

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- sendmail init now checks for postfix

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- fix handling of RPM_OPT_FLAGS

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- version 8.9.3

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- use the libdb1 stuff correctly

* Mon Sep 21 1998 Michael K. Johnson <johnsonm@redhat.com>
- Allow empty QUEUE in /etc/sysconfig/sendmail for those who
  want to run sendmail in daemon mode without processing the
  queue regularly.

* Thu Sep 17 1998 Michael K. Johnson <johnsonm@redhat.com>
- /etc/sysconfig/sendmail

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- added a rmail patch

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- argh!  Fixed some of the db1 handling that had to be added for glibc 2.1

* Fri Oct 24 1997 Donnie Barnes <djb@redhat.com>
- added support for db1 on SPARC

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- various spec file cleanups
- changed group to Networking/Daemons (from Daemons).  Sure, it runs on
  non networked systems, but who really *needs* it then?

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- made /etc/mail/deny.db a ghost
- removed preun that used to remove deny.db (ghost handles that now)
- NOTE: upgrading from the sendmail packages in 4.8, 4.8.1, and possibly
  4.9 (all Red Hat betas between 4.2 and 5.0) could cause problems.  You
  may need to do a makemap in /etc/mail and a newaliases after upgrading
  from those packages.  Upgrading from 4.2 or prior should be fine.

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- made aliases.db a ghost

* Tue Sep 23 1997 Donnie Barnes <djb@redhat.com>
- fixed preuninstall script to handle aliases.db on upgrades properly

* Mon Sep 15 1997 Donnie Barnes <djb@redhat.com>
- fixed post-install output and changed /var/spool/mqueue to 755

* Thu Sep 11 1997 Donnie Barnes <djb@redhat.com>
- fixed /usr/lib/sendmail-cf paths

* Tue Sep 09 1997 Donnie Barnes <djb@redhat.com>
- updated to 8.8.7
- added some spam filtration
- combined some makefile patches
- added BuildRoot support

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- marked initscript symlinks as missingok
- run newalises after creating /var/spool/mqueue

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc, udated release to -6 (skipped -5!)

* Tue Apr 01 1997 Erik Troan <ewt@redhat.com>
- Added -nsl on the Alpha (for glibc to provide NIS functions).

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Added nis support.
